# Uses of Interface
org.eclipse.net4j.util.collection.IHistory

Packages that use IHistory
Package
Description
org.eclipse.net4j.util.collection
Additional collection-like interfaces and classes.
org.eclipse.net4j.util.ui.widgets
A library with reusable widgets.

## Uses of IHistory in org.eclipse.net4j.util.collection

Classes in org.eclipse.net4j.util.collection that implement IHistory
Modifier and Type
Class
Description
`class`
`History<T>`
`class`
`PreferenceHistory`
Methods in org.eclipse.net4j.util.collection that return IHistory
Modifier and Type
Method
Description
`static IHistory<String>`
HistoryUtil.`createHistory()`
`static IHistory<String>`
HistoryUtil.`createPreferenceHistory(OMPreference<String[]> preference)`
`IHistory<IHistoryElement<T>>`
HistoryElement.`getHistory()`
`IHistory<IHistoryElement<T>>`
IHistoryElement.`getHistory()`
`IHistory<?>`
IHistoryChangeEvent.`getSource()`
Constructors in org.eclipse.net4j.util.collection with parameters of type IHistory
Modifier
Constructor
Description
``
`HistoryElement(IHistory<IHistoryElement<T>> history, T data)`

## Uses of IHistory in org.eclipse.net4j.util.ui.widgets

Methods in org.eclipse.net4j.util.ui.widgets that return IHistory
Modifier and Type
Method
Description
`IHistory<String>`
HistoryText.`getHistory()`
`IHistory<String>`
HistoryTextDialog.`getHistory()`
Constructors in org.eclipse.net4j.util.ui.widgets with parameters of type IHistory
Modifier
Constructor
Description
``
`HistoryText(Composite parent, int style, IHistory<String> history)`
``
`HistoryTextDialog(Shell parentShell, String dialogTitle, String dialogMessage, IHistory<String> history, IInputValidator validator)`